%define upstream_name    Test-Timer
%define upstream_version 2.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Exception class for Test::Timer
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Kwalitee) >= 1.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.410.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Test::Tester) >= 1.302.111
BuildArch:  noarch

%description
Test::Timer implements a set of test primitives to test and assert test
times from bodies of code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CHANGELOG.md INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.120.0-3.mga10
+ Revision: 2209833
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 2.120.0-2.mga9
+ Revision: 1820727
- Mageia 9 Mass Rebuild

* Wed Jul 14 2021 guillomovitch <guillomovitch> 2.120.0-1.mga9
+ Revision: 1735973
- new version 2.12

* Sun Feb 16 2020 umeabot <umeabot> 2.110.0-2.mga8
+ Revision: 1530988
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 tv <tv> 2.110.0-1.mga8
+ Revision: 1438270
- update to 2.11

* Wed Feb 20 2019 tv <tv> 2.100.0-1.mga7
+ Revision: 1368680
- update to 2.10

* Thu Sep 20 2018 umeabot <umeabot> 2.90.0-2.mga7
+ Revision: 1286821
- Mageia 7 Mass Rebuild

* Sun Mar 04 2018 guillomovitch <guillomovitch> 2.90.0-1.mga7
+ Revision: 1206449
- new version 2.09

* Sat Oct 28 2017 guillomovitch <guillomovitch> 2.40.0-1.mga7
+ Revision: 1174414
- new version 2.04

* Tue Oct 03 2017 tv <tv> 2.30.0-2.mga7
+ Revision: 1166931
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 guillomovitch <guillomovitch> 2.30.0-1.mga7
+ Revision: 1160115
- imported package perl-Test-Timer


* Tue Sep 26 2017 cpan2dist 2.03-1mga
- initial mageia release, generated with cpan2dist
